Bug 495670 - harcoded rpath, please fix according to package guidelines
harcoded rpath, please fix according to package guidelines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: EasyFix, Triaged
Depends On: 518003
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 06:54 EDT by David Hlacik
Modified: 2009-12-18 04:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:14:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hlacik 2009-04-14 06:54:37 EDT
I have patched my own libraries and override locations to them in ld.so.conf.d .

Let's just see an example:

[root@david ld.so.conf.d]# cat /etc/ld.so.conf.d/cairo-lcd-x86_64.conf
/usr/lib64/cairo-lcd


Now , when I will execute ldd to check for shared library dependencies :

1) gnome-terminal

[root@david ~]# ldd /usr/bin/gnome-terminal |grep libcairo
    libcairo.so.2 => /usr/lib64/cairo-lcd/libcairo.so.2
(0x00000032ef000000) -> OK

this is totally ok and works as expected , but :

2) gimp

[root@david ~]# ldd /usr/bin/gimp |grep libcairo
    libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00000032ee800000) ->
Totally WRONG

this is wrong and looks for original library because of hard linked path.

Please fix gimp according to package guidelines
http://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
Comment 1 Nils Philippsen 2009-04-14 12:15:03 EDT
Fixed in gimp-2.6.6-3.fc11 in Rawhide, this change will be picked up in the next stable update.
Comment 2 Nicolas Chauvet (kwizart) 2009-04-24 10:42:39 EDT
This is fixed in devel indeed, but it would matter to have this fixed in branches. (and have it wait for gimp next version to hit updates-stable eventually).
Comment 3 Nicolas Chauvet (kwizart) 2009-05-12 20:01:33 EDT
Please do submit a build that fix the issue for F-10.
Even if it's aimed to remain in updates-testing, waiting for the next gimp updates... This have to be fixed in branches as rpath is a rather serious issue.
Comment 4 Nicolas Chauvet (kwizart) 2009-08-17 11:22:30 EDT
This is a reminder to have this fixed in branches along with the gimp update.
Comment 5 Bug Zapper 2009-11-18 04:12:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 04:14:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.